Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 328685 - >=net-analyzer/net-snmp-5.4.3[perl] doesn't respect LDFLAGS
Summary: >=net-analyzer/net-snmp-5.4.3[perl] doesn't respect LDFLAGS
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Netmon Herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: ldflags
  Show dependency tree
 
Reported: 2010-07-17 00:19 UTC by Dmitry Karasik
Modified: 2010-08-11 02:21 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
respect LDFLAGS (net-snmp-5.4.3.diff,326 bytes, patch)
2010-07-22 15:13 UTC, Kacper Kowalik (Xarthisius) (RETIRED)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Karasik 2010-07-17 00:19:23 UTC
When building net-analyzer/net-snmp-5.4.3 while having "-Wl,--hash-style=gnu in LDFLAGS the following is output:

 * QA Notice: Files built without respecting LDFLAGS have been detected
 *  Please include the following list of files in your report:
 * /usr/lib/perl5/site_perl/5.12.1/i686-linux/auto/NetSNMP/ASN/ASN.so
 * /usr/lib/perl5/site_perl/5.12.1/i686-linux/auto/NetSNMP/OID/OID.so
 * /usr/lib/perl5/site_perl/5.12.1/i686-linux/auto/NetSNMP/TrapReceiver/TrapReceiver.so
 * /usr/lib/perl5/site_perl/5.12.1/i686-linux/auto/NetSNMP/agent/default_store/default_store.so
 * /usr/lib/perl5/site_perl/5.12.1/i686-linux/auto/NetSNMP/agent/agent.so
 * /usr/lib/perl5/site_perl/5.12.1/i686-linux/auto/NetSNMP/default_store/default_store.so
 * /usr/lib/perl5/site_perl/5.12.1/i686-linux/auto/SNMP/SNMP.so
Comment 1 Jeroen Roovers gentoo-dev 2010-07-19 00:47:26 UTC
Confirmed. I was hoping to find time to work on the perl modules.
Comment 2 Kacper Kowalik (Xarthisius) (RETIRED) gentoo-dev 2010-07-22 15:13:11 UTC
Created attachment 239835 [details, diff]
respect LDFLAGS
Comment 3 Jeroen Roovers gentoo-dev 2010-08-11 02:09:43 UTC
Fixed in 5.4.3 without revision bump, but 5.5 still does this.
Comment 4 Jeroen Roovers gentoo-dev 2010-08-11 02:21:03 UTC
Oh, that worked well for 5.5 too. Again fixed without revision bump.